Skip to content

Mlag ​

8 operations. Call any of them with omada_call_operation (or, in full tool mode, as a tool named by its operationId).

OperationMethodSummary
locateMlagPOSTLocate M-LAG group
rebootMlagPOSTReboot M-LAG group
getGridMlagGroupGETGet M-LAG group list
createMlagGroupPOSTCreate M-LAG group
deleteMlagGroupDELETEDelete M-LAG group
modifyMlagGroupPUTModify M-LAG group
getMlagCccResultGETGet the configuration consistency check result of the M-LAG Group
listSupportMlagGroupOswsGETGet support M-LAG group switch list

locateMlag ​

POST /openapi/v1/{omadacId}/sites/{siteId}/cmd/mlag/{mlagId}/locate

Locate M-LAG group

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
mlagIdpathstringyesM-LAG ID

Request body — application/json (required) — schema MlagLocateOpenApiVO

FieldTypeRequiredDescription
selectAllbooleanyesIndicates whether to select the entire M-LAG group
macsarray<string>noSelected Devices Mac List. When selectAll is false, it cannot be empty.
locateEnablebooleanyesIndicates whether locate is enabled
json
// omada_call_operation
{
  "operationId": "locateMlag",
  "params": {
    "siteId": "<siteId>",
    "mlagId": "<mlagId>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Locate M-LAG group.
The interface requires one of the permissions:
Site Device Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-40068 - MLAG Group members are not connected.

rebootMlag ​

POST /openapi/v1/{omadacId}/sites/{siteId}/cmd/mlag/{mlagId}/reboot

Reboot M-LAG group

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
mlagIdpathstringyesM-LAG ID

Request body — application/json (required) — schema MlagRebootOpenApiVO

FieldTypeRequiredDescription
selectAllbooleanyesIndicates whether to select the entire M-LAG group
macsarray<string>noSelected Devices Mac List. When selectAll is false, it cannot be empty.
json
// omada_call_operation
{
  "operationId": "rebootMlag",
  "params": {
    "siteId": "<siteId>",
    "mlagId": "<mlagId>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Reboot M-LAG group.
The interface requires one of the permissions:
Site Device Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-40068 - MLAG Group members are not connected.

getGridMlagGroup ​

GET /openapi/v1/{omadacId}/sites/{siteId}/mlag

Get M-LAG group list

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
pagequeryintegernoStart page number. Start from 1. (default 1)
pageSizequeryintegernoNumber of entries per page. It should be within the range of 1–1000. (default 100)
json
// omada_call_operation
{
  "operationId": "getGridMlagGroup",
  "params": {
    "siteId": "<siteId>"
  }
}
Details, permissions and error codes

Get M-LAG group list.
The interface requires one of the permissions:
Site Device Manager View Only

createMlagGroup ​

POST /openapi/v1/{omadacId}/sites/{siteId}/mlag

Create M-LAG group

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)

Request body — application/json (required) — schema MlagConfigOpenApiVO

FieldTypeRequiredDescription
namestringyesMLAG group name should be between 1 and 31 characters. Only letters, numbers, and the following symbols are allowed: - . / : @ _ + #
membersConfigarray<MlagMemberConfigVO>noM-LAG group members configuration
json
// omada_call_operation
{
  "operationId": "createMlagGroup",
  "params": {
    "siteId": "<siteId>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Create M-LAG group.
The interface requires one of the permissions:
Site Device Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-39700 - Switch does not exist
-40058 - This switch does not support MLAG.
-40069 - This MLAG Group Name already exists.

deleteMlagGroup ​

DELETE /openapi/v1/{omadacId}/sites/{siteId}/mlag/{mlagId}

Delete M-LAG group

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
mlagIdpathstringyesM-LAG ID
json
// omada_call_operation
{
  "operationId": "deleteMlagGroup",
  "params": {
    "siteId": "<siteId>",
    "mlagId": "<mlagId>"
  }
}
Details, permissions and error codes

Delete M-LAG group.
The interface requires one of the permissions:
Site Device Manager Modify

modifyMlagGroup ​

PUT /openapi/v1/{omadacId}/sites/{siteId}/mlag/{mlagId}

Modify M-LAG group

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
mlagIdpathstringyesM-LAG ID

Request body — application/json (required) — schema MlagConfigOpenApiVO

FieldTypeRequiredDescription
namestringyesMLAG group name should be between 1 and 31 characters. Only letters, numbers, and the following symbols are allowed: - . / : @ _ + #
membersConfigarray<MlagMemberConfigVO>noM-LAG group members configuration
json
// omada_call_operation
{
  "operationId": "modifyMlagGroup",
  "params": {
    "siteId": "<siteId>",
    "mlagId": "<mlagId>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Modify M-LAG group.
The interface requires one of the permissions:
Site Device Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-39700 - Switch does not exist
-40058 - This switch does not support MLAG.
-40069 - This MLAG Group Name already exists.

getMlagCccResult ​

GET /openapi/v1/{omadacId}/sites/{siteId}/mlag/{mlagId}/mlag-ccc/{type}

Get the configuration consistency check result of the M-LAG Group

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
mlagIdpathstringyesM-LAG ID
typepathstringyesThe level of configuration consistency check should be a value as follows: 0:Critical & Significant 1: Critical; 2: Significant
json
// omada_call_operation
{
  "operationId": "getMlagCccResult",
  "params": {
    "siteId": "<siteId>",
    "mlagId": "<mlagId>",
    "type": "<type>"
  }
}
Details, permissions and error codes

Get the configuration consistency check result of the M-LAG Group.
The interface requires one of the permissions:
Site Device Manager View Only

listSupportMlagGroupOsws ​

GET /openapi/v1/{omadacId}/sites/{siteId}/mlag/switches

Get support M-LAG group switch list

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
json
// omada_call_operation
{
  "operationId": "listSupportMlagGroupOsws",
  "params": {
    "siteId": "<siteId>"
  }
}
Details, permissions and error codes

Get support M-LAG group switch list.
The interface requires one of the permissions:
Site Device Manager View Only

Released under the MIT License. Not affiliated with or endorsed by TP-Link.